#ifndef _UTILYTY_LEGAL_MOVES_H
#define _UTILYTY_LEGAL_MOVES_H

#include "osl/state/numEffectState.h"

namespace osl
{
  namespace container
  {    
    class MoveVector;
  }
  namespace move_generator
  {
    /**
     * 全ての合法手を生成する. 玉の素抜きや打歩詰の確認をする．
     */
    struct LegalMoves
    {
      static void generate(const NumEffectState&, container::MoveVector&);
    };
  }
  using move_generator::LegalMoves;
}

/* ------------------------------------------------------------------------- */

#endif /* _UTILYTY_LEGAL_MOVES_H */
// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
