/* usiReporter.h
 */
#ifndef _USIREPORTER_H
#define _USIREPORTER_H
#include "osl/move.h"
namespace osl
{
  namespace search
  {
    struct UsiReporter
    {
      static void newDepth(int depth);
      static void showPV(int depth, size_t node_count, double elapsed, int value, Move cur, const Move *first, const Move *last, bool ignore_silent=false);
      static void rootMove(Move cur, bool allow_frequent_display=false);
      static void timeInfo(size_t node_count, double elapsed);
      static void hashInfo(double ratio);
    };
  }
}


#endif /* _USIREPORTER_H */
// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
