#include "osl/move_generator/pieceOnBoard.h"
#include "osl/move_generator/pieceOnBoard.tcc"
#include "osl/move_action/store.h"
#include "osl/state/simpleState.h"

namespace osl
{
  namespace move_generator
  {
    // explicit template instantiation
    template void PieceOnBoard<BLACK>::generate(const NumEffectState&,Piece,move_action::Store&);
    template void PieceOnBoard<WHITE>::generate(const NumEffectState&,Piece,move_action::Store&);
  } // namespace move_generator
} // namespace osl

void osl::move_generator::GeneratePieceOnBoard::
generate(Player turn, const NumEffectState& state, Piece target, MoveVector& out)
{
  move_action::Store store(out);
  if (turn == BLACK)
    PieceOnBoard<BLACK>::generate(state, target, store);
  else
    PieceOnBoard<WHITE>::generate(state, target, store);
}

// ;;; Local Variables:
// ;;; mode:c++
// ;;; c-basic-offset:2
// ;;; End:
